import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class MailboxPanel extends Panel implements ActionListener {

  public MailboxPanel(ClientSocket clientsocket)
    {
      super();
      cs = clientsocket;
      this.setLayout( new BorderLayout() );
      Button mailbutton = new Button("Notifications");
      add(mailbutton,"Center");
      mailbutton.addActionListener(this);
	
    }

  public void actionPerformed(ActionEvent evt)
  {
    System.out.println("mailboxbutton clicked");
    MailboxDialog mailbox = new MailboxDialog(cs);
    mailbox.setVisible(true);
    mailbox.show();
  }

  private ClientSocket cs;
}
  


